设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 1007|回复: 34

[曲线] (XD::Polyline:AddVertexAt) 多段线增加节点而不改变外观

[复制链接]

签到天数: 1077 天

连续签到: 4 天

[LV.10]以坛为家III

点击这里给我发消息

已领礼包: 1258个

财富等级: 财源广进

发表于 2017-3-20 23:39:15 | 显示全部楼层 |阅读模式
函数发布
函数名称: XD::Polyline:AddVertexAt
调用格式: (XD::Polyline:AddVertexAt e pt)
参数说明: e --- polyline
pt -- 线上点
返回值: T
函数简介: 多段线增加节点而不改变外观
函数来源: 原创
函数作者: st788796
适用版本: XDRX API 
最后更新时间: 2017-03-20
备注: -
演示图片:

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本帖最后由 st788796 于 2017-3-22 08:26 编辑

游客,如果您要查看本帖隐藏内容请回复

测试

  1. (defun c:tt (/ e p)
  2.   (while (and (setq e (car (xdrx_entsel "\nPick Pline: " '((0 . "lwpolyline")))))
  3.               (setq p (getpoint "\nPick Point: "))
  4.          )
  5.     (xd::polyline:addvertexat e p)
  6.   )
  7.   (princ)
  8. )
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!